本实例实现了长方体边倒圆,主要知识点如下:
1、创建长方体 theUfSession.Modl.CreateBlock1
2、边倒圆 theUfSession.Modl.CreateBlend
1、创建长方体
2、创建边倒圆
UGOPEN\SampleNXOpenApplications\.NET\NXOpenExamples\EX_Modl_CreateBlend
1、创建长方体
Tag block_feature_tag;string[] edge_lengths = { "1.0", "2.0", "3.0" };theUfSession.Assem.SetWorkPart(UFPart);corner_point[0] = 0.0;corner_point[1] = 0.0;corner_point[2] = 0.0;theUfSession.Modl.CreateBlock1(FeatureSigns.Nullsign, corner_point, edge_lengths, out block_feature_tag );
2、创建边倒圆
ArrayList arr_list2 = new ArrayList();for(int i=0; i < ecount; i++) { Tag edge; /* edge object */ int vcount; /* count of vertices in edge */ /* Get the edge (list item) and check return code. */ theUfSession.Modl.AskListItem(list1,i,out edge); /* Get the edge vertices. Check return code. */ theUfSession.Modl.AskEdgeVerts(edge,pt1, pt2, out vcount); if(System.Math.Abs(System.Math.Abs(pt1[2] - pt2[2]) - 3.0) < 0.001) { arr_list2.Add(edge); }}list2 = (Tag [])arr_list2.ToArray(typeof(Tag));theUfSession.Modl.CreateBlend("0.009246", list2, allow_smooth, allow_cliff, allow_notch, vrb_tol, out blend1);
免责声明:本文系网络转载或改编,未找到原创作者,版权归原作者所有。如涉及版权,请联系删